# Interface StructureViewerBehaviourInterface

#### Hierarchy

- StructureViewerBehaviourInterface

- Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:14

#####
Index

### Methods

featureClick
hoverChange
modelChange
reprChange
selectionChange
unsubscribe

## Methods

### featureClick

- featureClick(): void

- #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:17

### hoverChange

- hoverChange(): void

- #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:16

### modelChange

- modelChange(): void

- #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:18

### reprChange

- reprChange(): void

- #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:19

### selectionChange

- selectionChange(): void

- #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:15

### unsubscribe

- unsubscribe(): void

- #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewerBehaviourInterface.ts:20

Generated using TypeDoc